package com.idiot.operationbackend.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.idiot.operationbackend.entity.AuthUser;
import com.idiot.operationbackend.mappers.AuthUserMapper;
import com.idiot.operationbackend.service.facade.AuthUserService;
import org.springframework.stereotype.Service;
import org.springframework.util.DigestUtils;


/**
 * @author wang xiao
 * @date Created in 15:48 2020/9/10
 */
@Service
public class AuthUserServiceImpl extends ServiceImpl<AuthUserMapper, AuthUser>
        implements AuthUserService {


    @Override
    public AuthUser queryByUserCodeAndPassword(String password, String userCode) {
        password = DigestUtils.md5DigestAsHex(password.getBytes());
        AuthUser authUser = getOne(Wrappers.<AuthUser>lambdaQuery()
                .eq(AuthUser::getUserCode,userCode)
                .eq(AuthUser::getPassword,password),false);
        return authUser;
    }
}
